# Terms for registered users of fedi.example.com

## Definitions

These words and phrases have the following meanings in these terms:

"Service": the online service available at [fedi.example.com].

"We" (and "us", and "our"): [the operator[s] of the Service / include a personal or legal entity name].

"You" (and "your"): the person who accepted these terms (or an updated version of them) when you registered an account to use the Service.

"Content": anything which someone (you, or anyone else) uploads to the Service, or which is visible to you because of your use of the Service. This can include text (including profile information), audio, images, videos, and polls, or a combination of these.

"Acceptable Use Policy": the policy at [url], which sets out permitted and prohibited Content.

"Moderation Policy": the policy at [url], which sets out our approach to moderation of the Service.

"Claim": any claims, disputes, or other matters arising from, out of, or in connection with, these terms.

"Governing Law": the laws of [England and Wales].

"Courts": the courts of [England and Wales].

"Complaint Address": [insert the email address to which a user must raise a compliant, claim etc.]

"Service Address": [insert the address which a registered user must use to commence legal proceedings]

## These terms apply to registered users

These terms apply to registered users of the Service. They apply when you register an account to use the Service, and continue until you, or we, delete your account.

You can end this agreement at any time by deleting your account. You do not need to notify us.

These terms do not apply to anyone who is not a registered user of the Service. This includes people using other federated services, who interact with Content on the Service or whose Content is visible to users of the Service. See our [policies around moderation, blocking, and defederation](link to other policies).

## This is a free service, provided as-is, without liability

You can use the Service without paying us anything. This is a free service, which we provide on an "as-is" basis.

This means that:

* While we try to maintain and operate the Service, we make no promises that it will always be available for you to use or functioning (correctly or at all), nor that it will be fault-free.
* We may suspend, limit, or cease to operate any or all of the Service, or your access to it, or vary its functionality, at any time, without notice. [If this is too aggressive, you could restrict this to, say, security incidents, breaches of these terms, or where required by law.]
* We will try to moderate the Service [in line with the Moderation Policy] but we make no promises that we will but we are not liable to you if we do not do so, including if you see something which you do not like.
* All conditions, warranties or terms which might have effect between you and us, or be implied or incorporated into these terms (whether by statute, common law or otherwise) are excluded to the extent permitted by law, including the implied conditions, warranties or other terms as to satisfactory quality, fitness for purpose or the use of reasonable skill and care.
* We do not limit or exclude our liability in any way prohibited by law but, other than that, to the greatest extent permitted by law, we will not be liable to you for any claim, damages or other liability, whether contractual or non-contractual, arising from, out of, or in connection with, these terms or the Service.

## Things you must do, and consequences if you do not

You must do all of the following:

* comply with the Acceptable Use Policy
* comply with all laws, in whatever jurisdictions, which apply to you and your use of the Service
* not do anything which puts us in breach of any laws, in whatever jurisdictions, which apply to the Service
* only upload Content in respect of which you have the rights to grant us the licence set out below
* behave at all times in a polite and professional manner towards us and our staff (including our moderators), and respond promptly to any communications from them

If you do not do these things, or if we are required by law to do so, we may do some or all of the following:

* send you a warning or reminder
* require you to take remedial action promptly in respect of some or all of your Content
* delete, or change the visibility of, some or all of your Content
* suspend or limit your access to the Service
* terminate your account
* share your Content and information that we hold about you with courts and law enforcement agencies, if we reasonably believe that it is necessary for us to do so to safeguard ourselves, the Service, other users of the Service, or you

## How we host, share, and remove your Content

### Ownership is unchanged

Nothing in these terms gives us ownership of your Content. Whoever owns the Content retains ownership.

### Your licence to us

When you upload Content to the Service, you automatically grant us a non-exclusive, transferable, royalty-free licence solely to operate and maintain the Service (the "Licence"). The Licence includes:

* Hosting your Content.
* Automatically transforming and modifying your Content, and how we display your Content, by way of:
  * Translating and localising your Content using automated translation tools.
  * Sanitising and formatting you Content to make it available in different formats (e.g. JSON, XML) and via different interfaces (e.g. via the web, via one or more APIs for application access, via RSS).
  * Shortening the length of, or partially hiding, displayed Content.
* Making your Content available to, and transmitting your Content to, other users and other servers (which, in each case, might store your Content on their own, or third party's computers), and any processing, transformations and modifications necessary to do this.
  * When you upload Content to the Service, you are making it available via the Internet. Anyone, or any computer, might access your Content via RSS aggregators and readers, embed your Content in web pages and other media, or index and store your Content in search engines and databases. Please note that neither we, nor you, have control over these uses of your Content, and these services may not display your Content as you expect it.
* Moderating Content in accordance with the Moderation Policy.
* Backing up your Content, and restoring your Content from backups (including Content which you have deleted, as described below), to enable us to restore the Service in the event of a problem.

### Automatic licence termination on deletion

If you delete your Content, your Licence to us, in respect of us continuing to host, make available, and transmit that Content, ends automatically. 

In respect of your Licence to us to create and restore backups, Content that you have deleted from the live Service may remain in our backups. If it does, your Licence to us in respect of that Content does not terminate automatically. If we restore the Service from a backup containing that Content, we will once again be hosting, making available, and transmitting that Content. To try to lessen the likelihood of this situation arising, we aim to restore from the most recent working backup, and we will try to inform you (including by way of a general announcement by means of the Service, rather than a specific communication to you) if we restore from a backup, so that you can check if that has restored any Content which you had deleted.

Be mindful that, because this is a federated service, Content that you upload to the Service may - and probably will - be transferred to other people's servers. Deleting Content from the Service does not guarantee that it will be deleted from other servers or people's computers, as this is outside our (and your) control.

## Dispute resolution

These terms, and any Claims, whether contractual or non-contractual, are governed by the Governing Law and subject to the exclusive jurisdiction of the Courts. 

To bring a Claim, you must first attempt to resolve the Claim with us in good faith. To do so, you must contact us at the Complaint Address, with sufficient information about your Claim to enable us to try to resolve it with you.

If the Claim remains unresolved, to bring legal proceedings, you must serve us with a claim form issued by the Courts relating to the Claim within 12 months of the date on which the cause of action for the Claim accrued, to the Service Address.

## General terms

We may update these terms from time to time. If we do, we will [notify you by email / post one or more announcements], and the updates will take effect on the date or dates set out in that notification. If you do not agree to the updated terms, you must delete your account before the updated terms take effect.

If any part of these terms is found to be invalid or unenforceable by any court, this will not affect the other provisions of these terms and those provisions will remain in full force and effect.

If we fail to exercise a right or remedy, this failure will not prevent us from exercising that right or remedy later for that or any other incident.

We may assign, transfer, sub-contract or deal in any other manner with any of our rights or obligations under these terms.

Nothing in these terms establishes any partnership, joint venture, or agency between you and us.

## Country-specific terms

[insert any country or situation specific terms]
